AbstractPlugin (Resource Manager CL 1.0.0-4.12.0-126036 API)
Date: 2018-07-18

org.gcube.vremanagement.resourcemanager.client.plugins

## Class AbstractPlugin<S,P>

- java.lang.Object
- - org.gcube.vremanagement.resourcemanager.client.plugins.AbstractPlugin<S,P>

- Type Parameters:
    `S` -
    `P` -
  All Implemented Interfaces:
    org.gcube.common.clients.delegates.ProxyPlugin<EndpointReference,S,P>, org.gcube.common.clients.fw.plugin.Plugin<S,P>
  Direct Known Subclasses:
    AdminPlugin, BinderPlugin, ControllerPlugin, ReportingPlugin

      public abstract class AbstractPlugin<S,P>
      extends Object
      implements org.gcube.common.clients.fw.plugin.Plugin<S,P>

  Author:
    Andrea Manzi(CERN)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `name`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Exception` | `convert(Exception fault, org.gcube.common.clients.config.ProxyConfig<?,?> config)`
    `String` | `name()`
    `String` | `serviceClass()`
    `String` | `serviceName()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.gcube.common.clients.fw.plugin.Plugin

      `namespace`

    - ### Methods inherited from interface org.gcube.common.clients.delegates.ProxyPlugin

      `newProxy, resolve`

- - ### Field Detail

    - #### name

          public final String name

  - ### Method Detail

    - #### serviceClass

          public String serviceClass()

      Specified by:
        `serviceClass` in interface `org.gcube.common.clients.delegates.ProxyPlugin<EndpointReference,S,P>`

    - #### serviceName

          public String serviceName()

      Specified by:
        `serviceName` in interface `org.gcube.common.clients.delegates.ProxyPlugin<EndpointReference,S,P>`

    - #### name

          public String name()

      Specified by:
        `name` in interface `org.gcube.common.clients.delegates.ProxyPlugin<EndpointReference,S,P>`

    - #### convert

          public Exception convert(Exception fault,
                                   org.gcube.common.clients.config.ProxyConfig<?,?> config)

      Specified by:
        `convert` in interface `org.gcube.common.clients.delegates.ProxyPlugin<EndpointReference,S,P>`

Copyright © 2018. All Rights Reserved.